/*
* This Source Code Form is subject to the terms of the Mozilla Public
* License, v. 2.0. If a copy of the MPL was not distributed with this file,
* You can obtain one at http://mozilla.org/MPL/2.0/.
*
* Copyright (c) 2020, Krunoslav Velfel, kvelfel <at> gmail <dot> com
*/
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Alert;
import javafx.scene.control.Button;
import javafx.scene.control.Alert.AlertType;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;

public class FXMLController {
	private Tabla.rezultat rezultat;
	private Image iks = new Image("ui/assets/iks.png");
	private Image oks = new Image("ui/assets/oks.png");
	private Tabla tabla = new Tabla(Tabla.igrac.IKS);
	private Alert alert = new Alert(AlertType.INFORMATION);

	@FXML private ImageView potezSlika;

	@FXML private ImageView potezSlika00;
	@FXML private ImageView potezSlika01;
	@FXML private ImageView potezSlika02;
	@FXML private ImageView potezSlika10;
	@FXML private ImageView potezSlika11;
	@FXML private ImageView potezSlika12;
	@FXML private ImageView potezSlika20;
	@FXML private ImageView potezSlika21;
	@FXML private ImageView potezSlika22;

	@FXML private Button dugme00;
	@FXML private Button dugme01;
	@FXML private Button dugme02;
	@FXML private Button dugme10;
	@FXML private Button dugme11;
	@FXML private Button dugme12;
	@FXML private Button dugme20;
	@FXML private Button dugme21;
	@FXML private Button dugme22;

	private void odigraj(int poljeX, int poljeY) {
		rezultat = tabla.potez(poljeX, poljeY);
		if (rezultat != Tabla.rezultat.IGRA_U_TOKU) {
			alert.setTitle("Kraj");
			alert.setHeaderText("Kraj igre!");
			if (rezultat != Tabla.rezultat.NERIJESENO) {
				if (rezultat == Tabla.rezultat.POBIJEDIO_IKS) {
					alert.setContentText("Pobijedio je IKS.");
				} else {
					alert.setContentText("Pobijedio je OKS.");
				}
			} else {
				alert.setContentText("Neriješeno!");
			}
			alert.showAndWait();
			System.exit(1);
		} else {
			if(tabla.getNaPotezu() == Tabla.igrac.IKS) {
				potezSlika.setImage(iks);
			} else {
				potezSlika.setImage(oks);
			}
		}
	}

	public void klikDugme00(ActionEvent event) {
		dugme00.setDisable(true);
		potezSlika00.setImage(potezSlika.getImage());
		potezSlika00.setVisible(true);
		odigraj(0, 0);
	}

	public void klikDugme01(ActionEvent event) {
		dugme01.setDisable(true);
		potezSlika01.setImage(potezSlika.getImage());
		potezSlika01.setVisible(true);
		odigraj(0, 1);
	}

	public void klikDugme02(ActionEvent event) {
		dugme02.setDisable(true);
		potezSlika02.setImage(potezSlika.getImage());
		potezSlika02.setVisible(true);
		odigraj(0, 2);
	}

	public void klikDugme10(ActionEvent event) {
		dugme10.setDisable(true);
		potezSlika10.setImage(potezSlika.getImage());
		potezSlika10.setVisible(true);
		odigraj(1, 0);
	}

	public void klikDugme11(ActionEvent event) {
		dugme11.setDisable(true);
		potezSlika11.setImage(potezSlika.getImage());
		potezSlika11.setVisible(true);
		odigraj(1, 1);
	}

	public void klikDugme12(ActionEvent event) {
		dugme12.setDisable(true);
		potezSlika12.setImage(potezSlika.getImage());
		potezSlika12.setVisible(true);
		odigraj(1, 2);
	}

	public void klikDugme20(ActionEvent event) {
		dugme20.setDisable(true);
		potezSlika20.setImage(potezSlika.getImage());
		potezSlika20.setVisible(true);
		odigraj(2, 0);
	}

	public void klikDugme21(ActionEvent event) {
		dugme21.setDisable(true);
		potezSlika21.setImage(potezSlika.getImage());
		potezSlika21.setVisible(true);
		odigraj(2, 1);
	}

	public void klikDugme22(ActionEvent event) {
		dugme22.setDisable(true);
		potezSlika22.setImage(potezSlika.getImage());
		potezSlika22.setVisible(true);
		odigraj(2, 2);
	}
}