/*
* This Source Code Form is subject to the terms of the Mozilla Public
* License, v. 2.0. If a copy of the MPL was not distributed with this file,
* You can obtain one at http://mozilla.org/MPL/2.0/.
*
* Copyright (c) 2020, Krunoslav Velfel, kvelfel <at> gmail <dot> com
*/
import java.io.IOException;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class Main extends Application {
	@Override
	public void start(Stage stage) {
		FXMLController controller = new FXMLController();
		FXMLLoader loader = new FXMLLoader(getClass().getResource("ui/ui.fxml"));
		loader.setController(controller);

		VBox vbox;
		try {
			vbox = loader.<VBox>load();
			Scene scene = new Scene(vbox);
			stage.setTitle("IKS - OKS");
			stage.setScene(scene);
			stage.show();
		} catch (IOException e) {
			System.err.println("GREŠKA: VBOX load failed.");
			System.exit(1);
		}
	}
	public static void main(String[] args) {
		launch(args);
	}
}